Bug 201196 - astro/gpstk: fix broken distinfo
Summary: astro/gpstk: fix broken distinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-06-29 12:36 UTC by John Hein
Modified: 2015-10-24 09:58 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly+


Attachments
fix distinfo (912 bytes, patch)
2015-06-29 12:38 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2015-06-29 12:36:22 UTC
gpstk-2.5.tar.gz was regenerated - 3 days (20141013) it seems after the tarball which is now cached at distcache.freebsd.org.  The contents of the cached (smaller) tarball is a subset of the larger tarball now on sourceforge.net.  The larger current tarball has a full .git repo and a refs/ dir with some docs along with a few small files.  The source subdirectory used to build the port is identical.

I'll attached an update to fix distinfo and remove the BROKEN tag (and avoid extracting the large .git dir just to make building a bit more space/time efficient).

Having maintained this port in the past (but got pulled away for a while), I'm willing to take it again.
Comment 1 John Hein 2015-06-29 12:38:41 UTC
Created attachment 158157 [details]
fix distinfo
Comment 2 John Hein 2015-10-12 16:32:21 UTC
Anyone up for committing this?
Comment 3 commit-hook freebsd_committer 2015-10-19 10:18:45 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 19 10:18:13 UTC 2015
New revision: 399654
URL: https://svnweb.freebsd.org/changeset/ports/399654

Log:
  astro/gpstk: Fix distinfo, Mark Unbroken

  - Update distinfo
  - Add EXTRACT_AFTER_ARGS
  - Mark unbroken

  PR:		201196
  Submitted by:	John Hein <z7dr6ut7gs snkmail com
  Approved by:	unmaintained (blanket)
  MFH:		2014Q4

Changes:
  head/astro/gpstk/Makefile
  head/astro/gpstk/distinfo
Comment 4 commit-hook freebsd_committer 2015-10-19 13:43:09 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 19 13:43:06 UTC 2015
New revision: 399673
URL: https://svnweb.freebsd.org/changeset/ports/399673

Log:
  MFH: r399654

  astro/gpstk: Fix distinfo, Mark Unbroken

  - Update distinfo
  - Add EXTRACT_AFTER_ARGS
  - Mark unbroken

  PR:		201196
  Submitted by:	John Hein <z7dr6ut7gs snkmail com
  Approved by:	unmaintained (blanket)

  Approved by:	portmgr (erwin)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/astro/gpstk/Makefile
  branches/2015Q4/astro/gpstk/distinfo
Comment 5 commit-hook freebsd_committer 2015-10-19 13:50:12 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 19 13:49:16 UTC 2015
New revision: 399675
URL: https://svnweb.freebsd.org/changeset/ports/399675

Log:
  astro/gpstk: Fix fatal portlint(8) error

  Move EXTRACT_AFTER_ARGS out of the PORTNAME section causing FATAL portlint
  error.

  PR:		201196
  MFH:		2015Q4

Changes:
  head/astro/gpstk/Makefile
Comment 6 commit-hook freebsd_committer 2015-10-19 13:52:13 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 19 13:51:35 UTC 2015
New revision: 399676
URL: https://svnweb.freebsd.org/changeset/ports/399676

Log:
  MFH: r399675

  astro/gpstk: Fix fatal portlint(8) error

  Move EXTRACT_AFTER_ARGS out of the PORTNAME section causing FATAL portlint
  error.

  PR:		201196

  Approved by:	portmgr (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/astro/gpstk/Makefile
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-19 13:53:07 UTC
Committed and MFH'd to 2015Q4, thank you John!
Comment 8 John Hein 2015-10-20 14:57:46 UTC
Thanks for the portlint cleanup.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-22 04:35:56 UTC
Re-opening to fix patch failure reported by Dimitry (amdmi3@), stand by.
Comment 10 commit-hook freebsd_committer 2015-10-22 07:02:34 UTC
A commit references this bug:

Author: koobs
Date: Thu Oct 22 07:01:47 UTC 2015
New revision: 399952
URL: https://svnweb.freebsd.org/changeset/ports/399952

Log:
  astro/gpstk: Fix patches and CMake build

  After the last commit to this port [1], that updated DISTFILES, patch
  errors were reported on pkg-fallout:

  patch: **** can't cd to /wrkdirs/usr/ports/astro/gpstk/work/dev: No such file or directory
  => Patch patch-ext__lib__FileDirProc__FileHunter.cpp failed to apply cleanly.
  *** Error code 1

  This change replaces a WRKSRC override with a CMAKE_SOURCE_PATH
  variable to declare the source directory and regenerates patchfiles
  against the default WRKSRC.

  While I'm here: switch to USES=cmake:outsource to match the build
  instructions upstream [2]

  It was also noted during testing that this port builds with the base
  Clang c++ compiler and does not require USE_GCC. Upstream documentation
  requires only 'a modern, ANSI compliant C++ compiler' [3]

  [1] https://svnweb.freebsd.org/changeset/ports/399654
  [2] http://www.gpstk.org/bin/view/Documentation/BuildingGPSTkUnderUnix
  [3] http://www.gpstk.org/bin/view/Documentation/SystemRequirements

  PR:		201196
  MFH:		2015Q4

Changes:
  head/astro/gpstk/Makefile
  head/astro/gpstk/files/patch-dev_ext_lib_FileDirProc_FileHunter.cpp
  head/astro/gpstk/files/patch-dev_ext_lib_Utilities_BinUtils.hpp
  head/astro/gpstk/files/patch-ext__lib__FileDirProc__FileHunter.cpp
  head/astro/gpstk/files/patch-ext__lib__Utilities__BinUtils.hpp
Comment 11 commit-hook freebsd_committer 2015-10-24 09:57:37 UTC
A commit references this bug:

Author: koobs
Date: Sat Oct 24 09:57:31 UTC 2015
New revision: 400113
URL: https://svnweb.freebsd.org/changeset/ports/400113

Log:
  MFH: r399952

  astro/gpstk: Fix patches and CMake build

  After the last commit to this port [1], that updated DISTFILES, patch
  errors were reported on pkg-fallout:

  patch: **** can't cd to /wrkdirs/usr/ports/astro/gpstk/work/dev: No such file or directory
  => Patch patch-ext__lib__FileDirProc__FileHunter.cpp failed to apply cleanly.
  *** Error code 1

  This change replaces a WRKSRC override with a CMAKE_SOURCE_PATH
  variable to declare the source directory and regenerates patchfiles
  against the default WRKSRC.

  While I'm here: switch to USES=cmake:outsource to match the build
  instructions upstream [2]

  It was also noted during testing that this port builds with the base
  Clang c++ compiler and does not require USE_GCC. Upstream documentation
  requires only 'a modern, ANSI compliant C++ compiler' [3]

  [1] https://svnweb.freebsd.org/changeset/ports/399654
  [2] http://www.gpstk.org/bin/view/Documentation/BuildingGPSTkUnderUnix
  [3] http://www.gpstk.org/bin/view/Documentation/SystemRequirements

  PR:		201196

  Approved by:	portmgr (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/astro/gpstk/Makefile
  branches/2015Q4/astro/gpstk/files/patch-dev_ext_lib_FileDirProc_FileHunter.cpp
  branches/2015Q4/astro/gpstk/files/patch-dev_ext_lib_Utilities_BinUtils.hpp
  branches/2015Q4/astro/gpstk/files/patch-ext__lib__FileDirProc__FileHunter.cpp
  branches/2015Q4/astro/gpstk/files/patch-ext__lib__Utilities__BinUtils.hpp